import { asp as g } from "@asp/asp";
import { LOG } from "@logger";
import { ImageBackground, View } from "react-native";
import { LoginForm } from "@/features/auth/components/LoginForm";
import type { MainStackScreenComponentProps } from "@/navigations/types";

const log = LOG.extend("UserLoginScreen");
const UserLoginScreen: MainStackScreenComponentProps<"userLoginScreen"> = ({ navigation }) => {
	log.debug("UserLoginScreen");

	return (
		<View style={[g.flex_1]}>
			<ImageBackground
				source={require("@assets/background.png")}
				style={[g.flex_1, g.flex_col, g.justify_end]}
			>
				<LoginForm />
			</ImageBackground>
		</View>
	);
};

export default UserLoginScreen;
